Package com.onwbp.base.text

# Class UserMessageLocalized

java.lang.Object
com.onwbp.base.text.UserMessage
com.onwbp.base.text.UserMessageLocalized

public class UserMessageLocalized extends UserMessage
Provides a localized message based on strings directly set from Java code (not externalized).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserMessageLocalized()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessageLocalized`
  `copy()`
  `String`
  `getDefaultMessage()`
  `String`
  `getInternalId()`
  Returns a specific identifier for logging and technical auditing.
  `String`
  `getMessage(Locale aLocale)`
  `void`
  `setMessage(String aMessage)`
  `void`
  `setMessage(Locale aLocale, String aMessage)`
  `String`
  `toString()`

  ### Methods inherited from class com.onwbp.base.text.UserMessage

  `createError, createError, createFatal, createFatal, createInfo, createWarning, formatMessage, getSeverity, getThrowable, isError, isFatal, isInfo, isWarning, setSeverity, setSeverity`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserMessageLocalized

    public UserMessageLocalized()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setMessage

    public void setMessage(String aMessage)

  - ### setMessage

    public void setMessage(Locale aLocale, String aMessage)

  - ### getMessage

    public String getMessage(Locale aLocale)

  - ### getDefaultMessage

    public String getDefaultMessage()

  - ### getInternalId

    public String getInternalId()
    Description copied from class: `UserMessage`
    Returns a specific identifier for logging and technical auditing. Returns `null` if this message has no identifier (this is the case for a `UserMessageString`).
    Specified by:
      `getInternalId` in class `UserMessage`

  - ### copy

    public UserMessageLocalized copy()